Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface SpecularLightingRable

All Superinterfaces:
  Filter, FilterColorInterpolation, RenderableImage

All Known Implementing Classes:
  SpecularLightingRable8Bit

    public interface SpecularLightingRable

extends FilterColorInterpolation

This filter follows the specification of the feSpecularLighting filter in the SVG 1.0 specification.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`double[]` | `getKernelUnitLength()` Returns the min [dx,dy] distance in user space for evalutation of the sobel gradient.
`double` | `getKs()`
`Light` | `getLight()`
`Rectangle2D` | `getLitRegion()`
`Filter` | `getSource()` Returns the source to be filtered
`double` | `getSpecularExponent()`
`double` | `getSurfaceScale()`
`void` | `setKernelUnitLength(double[] kernelUnitLength)` Sets the min [dx,dy] distance in user space for evaluation of the sobel gradient.
`void` | `setKs(double ks)` Sets the specular constant, or ks
`void` | `setLight(Light light)`
`void` | `setLitRegion(Rectangle2D litRegion)` Sets the litRegion for this filter
`void` | `setSource(Filter src)` Sets the source to be filtered
`void` | `setSpecularExponent(double specularExponent)` Sets the specular exponent
`void` | `setSurfaceScale(double surfaceScale)` Sets the surface scale

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    Filter getSource()

  Returns the source to be filtered

### setSource

    void setSource(Filter src)

  Sets the source to be filtered

### getLight

    Light getLight()

  Returns:
    Light object used for the diffuse lighting

### setLight

    void setLight(Light light)

  Parameters:
    `light` - New Light object

### getSurfaceScale

    double getSurfaceScale()

  Returns:
    surfaceScale

### setSurfaceScale

    void setSurfaceScale(double surfaceScale)

  Sets the surface scale

### getKs

    double getKs()

  Returns:
    specular constant, or ks.

### setKs

    void setKs(double ks)

  Sets the specular constant, or ks

### getSpecularExponent

    double getSpecularExponent()

  Returns:
    specular exponent, or kd

### setSpecularExponent

    void setSpecularExponent(double specularExponent)

  Sets the specular exponent

### getLitRegion

    Rectangle2D getLitRegion()

  Returns:
    the litRegion for this filter

### setLitRegion

    void setLitRegion(Rectangle2D litRegion)

  Sets the litRegion for this filter

### getKernelUnitLength

    double[] getKernelUnitLength()

  Returns the min [dx,dy] distance in user space for evalutation of the sobel gradient.

### setKernelUnitLength

    void setKernelUnitLength(double[] kernelUnitLength)

  Sets the min [dx,dy] distance in user space for evaluation of the sobel gradient. If set to zero or null then device space will be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.